const React = require('react')
const Section = require('./section')

function BottomPanel (props) {
  return (
    <div className='nav-panel-bottom'>
      {props.sections.map(function (section, i) {
        const cn = 'nav-panel-bottom__section'
        const inactive = !(props.isMobile && props.isOpen) &&
                         props.activeSection !== i

        return (
          <div
            key={i}
            className={`${cn} ${inactive
              ? 'nav-panel-bottom__section--inactive'
              : ''}`}>
            <Section
              count={i}
              midSection={props.midSections[i]}
              {...section} />
          </div>
        )
      })}
    </div>
  )
}

const { number, bool, string, array } = React.PropTypes

BottomPanel.propTypes = {
  activeSection: number,
  isOpen: bool.isRequired,
  isMobile: bool.isRequired,
  environment: string,
  sections: array,
  midSections: array
}

BottomPanel.defaultProps = {
  environment: 'com'
}

module.exports = BottomPanel
